# Docdeployer

A Drone CI tool to easily deploy documentation on CodeDoc

## Note
This repo is forked from <https://codefirst.iut.uca.fr/git/maxime.batista/codefirst-docdeployer>.

I only made a few small changes to this repository to adapt it to my way of working.

## Usage:
```yml
steps:
  - name: generate-and-deploy-docs
    image: hub.codefirst.iut.uca.fr/alexandre.agostinho/codefirst-docdeployer:latest
    failure: ignore
    volumes:
      - name: docs
        path: /docs
    commands:
      - /entrypoint.sh
    environment:
      GENERATOR: doxygen
      DOCUMENTATION_PLACE: ./Documentation/doxygen
      DESTINATION:
      REMOVE_MODE: 0
```

`entrypoint.sh`  r
This command generates the documentation and deploys it on your CodeDoc space

### Environment variables:
-  `GENERATOR="[docusaurus|doxygen|mdbook|swagger]"` -- generator to use.  - **required**
-  `DOCUMENTATION_PLACE="[dir]"` -- location of the documentation sources root  - **required**
-  `DESTINATION="[dir]"` -- path to where to put the documentation outputs in your repository's CodeDoc space  - **optional**, <u>cannot be absolute !!</u>
-  `REMOVE_MODE=[0|1|2]` -- 0: disable, 1: for this type of documentation only, 2: all your documentations (/!\ use this command with caution!)  - **optional**

---

For more informations, check the [original repository](https://codefirst.iut.uca.fr/git/maxime.batista/codefirst-docdeployer).
